Subject: Re: [PATCH] Allow building iwl3945 without iwl4965.

From: Zhu Yi <[email-masked]>
Date: Wed, 30 Apr 2008 10:14:39 +0800

On Tue, 2008-04-29 at 09:27 -0400, John W. Linville wrote:
> 
> > Do we have a way to make "select IWLWIFI" generate CONFIG_IWLWIFI
> with
> > the same state as CONFIG_IWLCORE (or CONFIG_IWL3945)? AFAICS,
> > CONFIG_IWLWIFI is always 'y' whenever CONFIG_IWLCORE is 'y' or 'm'.
> If
> > the latter is 'm', the Makefile will generate a empty built-in.o
> which
> > requires vmlinux to update unnecessarily every time we only compile
> > iwl3945/4965 modules.
> 
> Can you do something like  "default IWLCORE'?  Untested, off the top
> of my head...

I just realized the kernel now updates vmlinux when I type 'make' even
if nothing is changed in the source code. Is this a bug or feature?

Thanks,
-yi